---------------------------------------------------------------------------------------------
-- Creates a defence army for steppe robbery outpost
function CreateArmyThree()
	StartSimpleJob("RifleLager")
	RightCampDef = UnlimitedArmy:New({
			Player = 2,
			Area = 3800,
			AutoDestroyIfEmpty = true,
			TransitAttackMove = true,
			Formation = UnlimitedArmy.Formations.Circle,
			LeaderFormation = FormationFunktion,
			AIActive = true,
			AutoRotateRange = 100000,
			DoNotNormalizeSpeed = true
	})
	local spawntable = {}
	spawntable[1] = GetPosition("P2_SpawnPoint_3")
	spawntable[1].Generator = "P2_RobberyTower_3"
	spawntable[2] = GetPosition("P2_SpawnPoint_4")
	spawntable[2].Generator = "P2_RobberyTower_4"
	RightCampDefSpawner = UnlimitedArmySpawnGenerator:New(RightCampDef,{
		Position = spawntable,
		ArmySize = 20,
		SpawnCounter = 5,
		SpawnLeaders = 9,
		LeaderDesc = {
			{LeaderType = Entities.PV_Cannon3, SoldierNum = 0, SpawnNum = 2, Looped = true, Experience = 3},
			{LeaderType = Entities.PU_LeaderRifle1, SoldierNum = 4, SpawnNum = 6, Looped = true, Experience = 3},
			{LeaderType = Entities.PU_LeaderBow4, SoldierNum = 8, SpawnNum = 6, Looped = true, Experience = 3},
			{LeaderType = Entities.PU_LeaderPoleArm3, SoldierNum = 8, SpawnNum = 2, Looped = true, Experience = 3},
			{LeaderType = Entities.PU_LeaderHeavyCavalry2, SoldierNum = 3, SpawnNum = 4, Looped = true, Experience = 3},
			{LeaderType = Entities.PU_LeaderCavalry2, SoldierNum = 3, SpawnNum = 2, Looped = true, Experience = 3},
			{LeaderType = Entities.PU_LeaderSword3, SoldierNum = 8, SpawnNum = 4, Looped = true, Experience = 3}
		},
		RandomizeSpawnPoint = true
	})
	RightCampDef:AddCommandMove(GetPosition("P2_SpawnPoint_3"),true)
	RightCampDef:AddCommandWaitForIdle(true)
	RightCampDef:AddCommandMove(GetPosition("P2_SpawnPoint_4"),true)
	RightCampDef:AddCommandWaitForIdle(true)
	RightCampDef:AddCommandMove(GetPosition("rightpoint1"),true)
	RightCampDef:AddCommandWaitForIdle(true)
	RightCampDef:AddCommandMove(GetPosition("P2_SpawnPoint_4"),true)
	RightCampDef:AddCommandWaitForIdle(true)
end

function RifleLager()
	if IsDead("P2_RobberyTower_4") and IsDead("P2_RobberyTower_3") then
		if RightCampDef:IsDead() == -1 then
			ReplaceEntity("wood1",Entities.XD_PalisadeGate2)
			ReplaceEntity("wood2",Entities.XD_PalisadeGate2)
		end
	end
	return false
end